package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.PlcAccessTypePO;
import mhp.oee.po.gen.PlcAccessTypePOExample;

public interface PlcAccessTypePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int countByExample(PlcAccessTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int deleteByExample(PlcAccessTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int insert(PlcAccessTypePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int insertSelective(PlcAccessTypePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    List<PlcAccessTypePO> selectByExample(PlcAccessTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    PlcAccessTypePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") PlcAccessTypePO record, @Param("example") PlcAccessTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") PlcAccessTypePO record, @Param("example") PlcAccessTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(PlcAccessTypePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_access_type
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(PlcAccessTypePO record);
}